/*-------------------------------------------------------------------------*
 |                                                                         
 |            STATA SUPPLEMENTAL SYNTAX FILE FOR ICPSR 06843
 |         NATIONAL HOUSEHOLD SURVEY ON DRUG ABUSE (NHSDA), 1979
 |
 |
 | This Stata missing value recode program is provided for optional use with
 | the Stata system version of this data file as distributed by ICPSR.
 | The program replaces user-defined numeric missing values (e.g., -9)
 | with generic system missing "."  Note that Stata allows you to specify
 | up to 27 unique missing value codes.  Only variables with user-defined
 | missing values are included in this program.
 |
 | To apply the missing value recodes, users need to first open the
 | Stata data file on their system, apply the missing value recodes if
 | desired, then save a new copy of the data file with the missing values
 | applied.  Users are strongly advised to use a different filename when
 | saving the new file.
 |
 *------------------------------------------------------------------------*/

replace ENCPSU = . if (ENCPSU >= 990 & ENCPSU <= 999)
replace ENCSEG = . if (ENCSEG >= 990 & ENCSEG <= 999)
replace CIGMORLS = . if (CIGMORLS >= 91 & CIGMORLS <= 99)
replace CIGTRY = . if (CIGTRY >= 91 & CIGTRY <= 99)
replace CIG5PK = . if (CIG5PK >= 91 & CIG5PK <= 99)
replace CIGREC = . if (CIGREC >= 91 & CIGREC <= 99)
replace AVCIG = . if (AVCIG >= 91 & AVCIG <= 99)
replace HRDHER = . if (HRDHER >= 91 & HRDHER <= 99)
replace HRDMJ = . if (HRDMJ >= 91 & HRDMJ <= 99)
replace HRDCOC = . if (HRDCOC >= 91 & HRDCOC <= 99)
replace HRDLSD = . if (HRDLSD >= 91 & HRDLSD <= 99)
replace HRDBAR = . if (HRDBAR >= 91 & HRDBAR <= 99)
replace HRDTRN = . if (HRDTRN >= 91 & HRDTRN <= 99)
replace HRDAMP = . if (HRDAMP >= 91 & HRDAMP <= 99)
replace ADDHER = . if (ADDHER >= 91 & ADDHER <= 99)
replace ADDALC = . if (ADDALC >= 91 & ADDALC <= 99)
replace ADDMJ = . if (ADDMJ >= 91 & ADDMJ <= 99)
replace ADDTOB = . if (ADDTOB >= 91 & ADDTOB <= 99)
replace ADDBAR = . if (ADDBAR >= 91 & ADDBAR <= 99)
replace ADDTRN = . if (ADDTRN >= 91 & ADDTRN <= 99)
replace ADDAMP = . if (ADDAMP >= 91 & ADDAMP <= 99)
replace ADDLSD = . if (ADDLSD >= 91 & ADDLSD <= 99)
replace ADDCOC = . if (ADDCOC >= 91 & ADDCOC <= 99)
replace ADDNONE = . if (ADDNONE >= 91 & ADDNONE <= 99)
replace SEDLIKE = . if (SEDLIKE >= 91 & SEDLIKE <= 99)
replace SEDFEEL = . if (SEDFEEL >= 91 & SEDFEEL <= 99)
replace SEDNEED = . if (SEDNEED >= 91 & SEDNEED <= 99)
replace SEDREC = . if (SEDREC >= 91 & SEDREC <= 99)
replace SED30MOA = . if (SED30MOA >= 91 & SED30MOA <= 99)
replace SED30MOB = . if (SED30MOB >= 91 & SED30MOB <= 99)
replace SED30MOC = . if (SED30MOC >= 91 & SED30MOC <= 99)
replace SEDDAL30 = . if (SEDDAL30 >= 91 & SEDDAL30 <= 99)
replace BUTISOL = . if (BUTISOL >= 91 & BUTISOL <= 99)
replace BUTICAPS = . if (BUTICAPS >= 91 & BUTICAPS <= 99)
replace AMYTAL = . if (AMYTAL >= 91 & AMYTAL <= 99)
replace ESKABARB = . if (ESKABARB >= 91 & ESKABARB <= 99)
replace LUMINAL = . if (LUMINAL >= 91 & LUMINAL <= 99)
replace MEBARAL = . if (MEBARAL >= 91 & MEBARAL <= 99)
replace AMOBARB = . if (AMOBARB >= 91 & AMOBARB <= 99)
replace PHENOBAR = . if (PHENOBAR >= 91 & PHENOBAR <= 99)
replace ALURATE = . if (ALURATE >= 91 & ALURATE <= 99)
replace PLACIDYL = . if (PLACIDYL >= 91 & PLACIDYL <= 99)
replace DORIDEN = . if (DORIDEN >= 91 & DORIDEN <= 99)
replace NOLUDAR = . if (NOLUDAR >= 91 & NOLUDAR <= 99)
replace SOPOR = . if (SOPOR >= 91 & SOPOR <= 99)
replace QUAALUDE = . if (QUAALUDE >= 91 & QUAALUDE <= 99)
replace PAREST = . if (PAREST >= 91 & PAREST <= 99)
replace NOCTEC = . if (NOCTEC >= 91 & NOCTEC <= 99)
replace METHAQ = . if (METHAQ >= 91 & METHAQ <= 99)
replace CHHYD = . if (CHHYD >= 91 & CHHYD <= 99)
replace NEMBUTAL = . if (NEMBUTAL >= 91 & NEMBUTAL <= 99)
replace CARBTAL = . if (CARBTAL >= 91 & CARBTAL <= 99)
replace SECONAL = . if (SECONAL >= 91 & SECONAL <= 99)
replace TUINAL = . if (TUINAL >= 91 & TUINAL <= 99)
replace PENTOB = . if (PENTOB >= 91 & PENTOB <= 99)
replace SECOB = . if (SECOB >= 91 & SECOB <= 99)
replace DALMANE = . if (DALMANE >= 91 & DALMANE <= 99)
replace SEDDKNAM = . if (SEDDKNAM >= 91 & SEDDKNAM <= 99)
replace NOSEDAT = . if (NOSEDAT >= 91 & NOSEDAT <= 99)
replace SEDAGE = . if (SEDAGE >= 91 & SEDAGE <= 99)
replace TRNLIKE = . if (TRNLIKE >= 91 & TRNLIKE <= 99)
replace TRNFEEL = . if (TRNFEEL >= 91 & TRNFEEL <= 99)
replace TRNNEED = . if (TRNNEED >= 91 & TRNNEED <= 99)
replace TRANREC = . if (TRANREC >= 91 & TRANREC <= 99)
replace TRN30MOA = . if (TRN30MOA >= 91 & TRN30MOA <= 99)
replace TRN30MOB = . if (TRN30MOB >= 91 & TRN30MOB <= 99)
replace TRN30MOC = . if (TRN30MOC >= 91 & TRN30MOC <= 99)
replace TRNBEN30 = . if (TRNBEN30 >= 91 & TRNBEN30 <= 99)
replace VALIUM = . if (VALIUM >= 91 & VALIUM <= 99)
replace LIBRIUM = . if (LIBRIUM >= 91 & LIBRIUM <= 99)
replace LIBRITAB = . if (LIBRITAB >= 91 & LIBRITAB <= 99)
replace SKLY = . if (SKLY >= 91 & SKLY <= 99)
replace SERAX = . if (SERAX >= 91 & SERAX <= 99)
replace TRANXENE = . if (TRANXENE >= 91 & TRANXENE <= 99)
replace ATIVAN = . if (ATIVAN >= 91 & ATIVAN <= 99)
replace VERSTRAN = . if (VERSTRAN >= 91 & VERSTRAN <= 99)
replace MEPRSPAN = . if (MEPRSPAN >= 91 & MEPRSPAN <= 99)
replace MILTOWN = . if (MILTOWN >= 91 & MILTOWN <= 99)
replace EQUANIL = . if (EQUANIL >= 91 & EQUANIL <= 99)
replace MEPROB = . if (MEPROB >= 91 & MEPROB <= 99)
replace VISTAR = . if (VISTAR >= 91 & VISTAR <= 99)
replace ATARAX = . if (ATARAX >= 91 & ATARAX <= 99)
replace BENADRYL = . if (BENADRYL >= 91 & BENADRYL <= 99)
replace TRDKNAM = . if (TRDKNAM >= 91 & TRDKNAM <= 99)
replace NOTRANQ = . if (NOTRANQ >= 91 & NOTRANQ <= 99)
replace TRANAGE = . if (TRANAGE >= 91 & TRANAGE <= 99)
replace STIMLIKE = . if (STIMLIKE >= 91 & STIMLIKE <= 99)
replace STIMFEEL = . if (STIMFEEL >= 91 & STIMFEEL <= 99)
replace STIMNEED = . if (STIMNEED >= 91 & STIMNEED <= 99)
replace STIMREC = . if (STIMREC >= 91 & STIMREC <= 99)
replace STM30MOA = . if (STM30MOA >= 91 & STM30MOA <= 99)
replace STM30MOB = . if (STM30MOB >= 91 & STM30MOB <= 99)
replace STMRIT30 = . if (STMRIT30 >= 91 & STMRIT30 <= 99)
replace STMCYL30 = . if (STMCYL30 >= 91 & STMCYL30 <= 99)
replace DEXED = . if (DEXED >= 91 & DEXED <= 99)
replace DEXAMYL = . if (DEXAMYL >= 91 & DEXAMYL <= 99)
replace ESKAT = . if (ESKAT >= 91 & ESKAT <= 99)
replace BENZ = . if (BENZ >= 91 & BENZ <= 99)
replace BIPHET = . if (BIPHET >= 91 & BIPHET <= 99)
replace DESOXYN = . if (DESOXYN >= 91 & DESOXYN <= 99)
replace DETAMP = . if (DETAMP >= 91 & DETAMP <= 99)
replace METHI = . if (METHI >= 91 & METHI <= 99)
replace OBLA = . if (OBLA >= 91 & OBLA <= 99)
replace TENUATE = . if (TENUATE >= 91 & TENUATE <= 99)
replace TEPANIL = . if (TEPANIL >= 91 & TEPANIL <= 99)
replace DIDREX = . if (DIDREX >= 91 & DIDREX <= 99)
replace PLEGINE = . if (PLEGINE >= 91 & PLEGINE <= 99)
replace PRELUDIN = . if (PRELUDIN >= 91 & PRELUDIN <= 99)
replace PRESATE = . if (PRESATE >= 91 & PRESATE <= 99)
replace IONAMIN = . if (IONAMIN >= 91 & IONAMIN <= 99)
replace PONDIMIN = . if (PONDIMIN >= 91 & PONDIMIN <= 99)
replace VORANIL = . if (VORANIL >= 91 & VORANIL <= 99)
replace SANOREX = . if (SANOREX >= 91 & SANOREX <= 99)
replace RITALIN = . if (RITALIN >= 91 & RITALIN <= 99)
replace CYLERT = . if (CYLERT >= 91 & CYLERT <= 99)
replace STMDKNAM = . if (STMDKNAM >= 91 & STMDKNAM <= 99)
replace NOSTIMS = . if (NOSTIMS >= 91 & NOSTIMS <= 99)
replace STIMAGE = . if (STIMAGE >= 91 & STIMAGE <= 99)
replace ANALLIKE = . if (ANALLIKE >= 91 & ANALLIKE <= 99)
replace ANALFEEL = . if (ANALFEEL >= 91 & ANALFEEL <= 99)
replace ANALNEED = . if (ANALNEED >= 91 & ANALNEED <= 99)
replace ANALREC = . if (ANALREC >= 91 & ANALREC <= 99)
replace ANL30MOA = . if (ANL30MOA >= 91 & ANL30MOA <= 99)
replace ANL30MOB = . if (ANL30MOB >= 91 & ANL30MOB <= 99)
replace ANL30MOC = . if (ANL30MOC >= 91 & ANL30MOC <= 99)
replace ANLTAL30 = . if (ANLTAL30 >= 91 & ANLTAL30 <= 99)
replace DARVON = . if (DARVON >= 91 & DARVON <= 99)
replace DOLENE = . if (DOLENE >= 91 & DOLENE <= 99)
replace SK65A = . if (SK65A >= 91 & SK65A <= 99)
replace PROPOXY = . if (PROPOXY >= 91 & PROPOXY <= 99)
replace LERITINE = . if (LERITINE >= 91 & LERITINE <= 99)
replace LEVODRO = . if (LEVODRO >= 91 & LEVODRO <= 99)
replace PERCODAN = . if (PERCODAN >= 91 & PERCODAN <= 99)
replace DEMEROL = . if (DEMEROL >= 91 & DEMEROL <= 99)
replace DILAUD = . if (DILAUD >= 91 & DILAUD <= 99)
replace TYLCOD = . if (TYLCOD >= 91 & TYLCOD <= 99)
replace CODEINE = . if (CODEINE >= 91 & CODEINE <= 99)
replace DOLOP = . if (DOLOP >= 91 & DOLOP <= 99)
replace WESTODON = . if (WESTODON >= 91 & WESTODON <= 99)
replace METHDON = . if (METHDON >= 91 & METHDON <= 99)
replace TALWIN = . if (TALWIN >= 91 & TALWIN <= 99)
replace ANLDKNAM = . if (ANLDKNAM >= 91 & ANLDKNAM <= 99)
replace ANALNONE = . if (ANALNONE >= 91 & ANALNONE <= 99)
replace ANALAGE = . if (ANALAGE >= 91 & ANALAGE <= 99)
replace ALCFIRST = . if (ALCFIRST >= 91 & ALCFIRST <= 99)
replace ALCTRY = . if (ALCTRY >= 91 & ALCTRY <= 99)
replace ALCREC = . if (ALCREC >= 91 & ALCREC <= 99)
replace ALCDAYS = . if (ALCDAYS >= 91 & ALCDAYS <= 99)
replace MODR30A = . if (MODR30A >= 91 & MODR30A <= 99)
replace MODR30DY = . if (MODR30DY >= 91 & MODR30DY <= 99)
replace UNDSTAS1 = . if (UNDSTAS1 >= 91 & UNDSTAS1 <= 99)
replace VRA7AS1 = . if (VRA7AS1 >= 91 & VRA7AS1 <= 99)
replace MRKEAAS1 = . if (MRKEAAS1 >= 91 & MRKEAAS1 <= 99)
replace VRA8AS1 = . if (VRA8AS1 >= 91 & VRA8AS1 <= 99)
replace MJKNOWN = . if (MJKNOWN >= 91 & MJKNOWN <= 99)
replace MJOPP = . if (MJOPP >= 91 & MJOPP <= 99)
replace MJFIRST = . if (MJFIRST >= 91 & MJFIRST <= 99)
replace MJAGE = . if (MJAGE >= 91 & MJAGE <= 99)
replace MJLIVE = . if (MJLIVE >= 91 & MJLIVE <= 99)
replace MJREC = . if (MJREC >= 91 & MJREC <= 99)
replace MJDAY30A = . if (MJDAY30A >= 91 & MJDAY30A <= 99)
replace MJTOT = . if (MJTOT >= 91 & MJTOT <= 99)
replace UNDSTAS2 = . if (UNDSTAS2 >= 91 & UNDSTAS2 <= 99)
replace VRM9AS2 = . if (VRM9AS2 >= 91 & VRM9AS2 <= 99)
replace MRKEAAS2 = . if (MRKEAAS2 >= 91 & MRKEAAS2 <= 99)
replace VRM10AS2 = . if (VRM10AS2 >= 91 & VRM10AS2 <= 99)
replace INHREAD = . if (INHREAD >= 91 & INHREAD <= 99)
replace INHOPP = . if (INHOPP >= 91 & INHOPP <= 99)
replace INHFIRST = . if (INHFIRST >= 91 & INHFIRST <= 99)
replace INHAGE = . if (INHAGE >= 91 & INHAGE <= 99)
replace GAS = . if (GAS >= 91 & GAS <= 99)
replace SPPAINT = . if (SPPAINT >= 91 & SPPAINT <= 99)
replace AEROS = . if (AEROS >= 91 & AEROS <= 99)
replace GLUE = . if (GLUE >= 91 & GLUE <= 99)
replace SOLVENT = . if (SOLVENT >= 91 & SOLVENT <= 99)
replace AMYLNIT = . if (AMYLNIT >= 91 & AMYLNIT <= 99)
replace ETHER = . if (ETHER >= 91 & ETHER <= 99)
replace NITOXID = . if (NITOXID >= 91 & NITOXID <= 99)
replace ODORIZER = . if (ODORIZER >= 91 & ODORIZER <= 99)
replace INHNEVER = . if (INHNEVER >= 91 & INHNEVER <= 99)
replace GAS30A = . if (GAS30A >= 91 & GAS30A <= 99)
replace SPPAN30A = . if (SPPAN30A >= 91 & SPPAN30A <= 99)
replace AEROS30A = . if (AEROS30A >= 91 & AEROS30A <= 99)
replace GLUE30A = . if (GLUE30A >= 91 & GLUE30A <= 99)
replace SOLVN30A = . if (SOLVN30A >= 91 & SOLVN30A <= 99)
replace AMLNT30A = . if (AMLNT30A >= 91 & AMLNT30A <= 99)
replace ETHER30A = . if (ETHER30A >= 91 & ETHER30A <= 99)
replace NOX30A = . if (NOX30A >= 91 & NOX30A <= 99)
replace ODR30A = . if (ODR30A >= 91 & ODR30A <= 99)
replace INH30NO = . if (INH30NO >= 91 & INH30NO <= 99)
replace INHREC = . if (INHREC >= 91 & INHREC <= 99)
replace INHTOT = . if (INHTOT >= 91 & INHTOT <= 99)
replace INHODRHR = . if (INHODRHR >= 91 & INHODRHR <= 99)
replace INHODRUS = . if (INHODRUS >= 91 & INHODRUS <= 99)
replace UNDSTAS3 = . if (UNDSTAS3 >= 91 & UNDSTAS3 <= 99)
replace VRG10AS3 = . if (VRG10AS3 >= 91 & VRG10AS3 <= 99)
replace MRKEAAS3 = . if (MRKEAAS3 >= 91 & MRKEAAS3 <= 99)
replace VRG11AS3 = . if (VRG11AS3 >= 91 & VRG11AS3 <= 99)
replace HALLOPP = . if (HALLOPP >= 91 & HALLOPP <= 99)
replace HALFIRST = . if (HALFIRST >= 91 & HALFIRST <= 99)
replace HALLAGE = . if (HALLAGE >= 91 & HALLAGE <= 99)
replace HALLREC = . if (HALLREC >= 91 & HALLREC <= 99)
replace HAL30USE = . if (HAL30USE >= 91 & HAL30USE <= 99)
replace HALLTOT = . if (HALLTOT >= 91 & HALLTOT <= 99)
replace HALPCPHR = . if (HALPCPHR >= 91 & HALPCPHR <= 99)
replace PCP = . if (PCP >= 91 & PCP <= 99)
replace HALPCP30 = . if (HALPCP30 >= 91 & HALPCP30 <= 99)
replace UNDSTAS4 = . if (UNDSTAS4 >= 91 & UNDSTAS4 <= 99)
replace VRL10AS4 = . if (VRL10AS4 >= 91 & VRL10AS4 <= 99)
replace MRKEAAS4 = . if (MRKEAAS4 >= 91 & MRKEAAS4 <= 99)
replace VRL11AS4 = . if (VRL11AS4 >= 91 & VRL11AS4 <= 99)
replace COCOPP = . if (COCOPP >= 91 & COCOPP <= 99)
replace COCFIRST = . if (COCFIRST >= 91 & COCFIRST <= 99)
replace COCAGE = . if (COCAGE >= 91 & COCAGE <= 99)
replace COCREC = . if (COCREC >= 91 & COCREC <= 99)
replace COCUS30A = . if (COCUS30A >= 91 & COCUS30A <= 99)
replace COCTOT = . if (COCTOT >= 91 & COCTOT <= 99)
replace UNDSTAS5 = . if (UNDSTAS5 >= 91 & UNDSTAS5 <= 99)
replace VRC7AS5 = . if (VRC7AS5 >= 91 & VRC7AS5 <= 99)
replace MRKEAAS5 = . if (MRKEAAS5 >= 91 & MRKEAAS5 <= 99)
replace VRC8AS5 = . if (VRC8AS5 >= 91 & VRC8AS5 <= 99)
replace HERKNOW = . if (HERKNOW >= 91 & HERKNOW <= 99)
replace HEROPP = . if (HEROPP >= 91 & HEROPP <= 99)
replace HERFIRST = . if (HERFIRST >= 91 & HERFIRST <= 99)
replace HERAGE = . if (HERAGE >= 91 & HERAGE <= 99)
replace HERREC = . if (HERREC >= 91 & HERREC <= 99)
replace HER30USE = . if (HER30USE >= 91 & HER30USE <= 99)
replace HERTOT = . if (HERTOT >= 91 & HERTOT <= 99)
replace HERFRNDS = . if (HERFRNDS >= 91 & HERFRNDS <= 99)
replace HERNOADR = . if (HERNOADR >= 91 & HERNOADR <= 99)
replace HERNEEDL = . if (HERNEEDL >= 91 & HERNEEDL <= 99)
replace UNDSTAS6 = . if (UNDSTAS6 >= 91 & UNDSTAS6 <= 99)
replace VRH11AS6 = . if (VRH11AS6 >= 91 & VRH11AS6 <= 99)
replace MRKEAAS6 = . if (MRKEAAS6 >= 91 & MRKEAAS6 <= 99)
replace VRH12AS6 = . if (VRH12AS6 >= 91 & VRH12AS6 <= 99)
replace SPLCOC = . if (SPLCOC >= 91 & SPLCOC <= 99)
replace SPLHAL = . if (SPLHAL >= 91 & SPLHAL <= 99)
replace SPLCIG = . if (SPLCIG >= 91 & SPLCIG <= 99)
replace SPLHER = . if (SPLHER >= 91 & SPLHER <= 99)
replace SPLBEER = . if (SPLBEER >= 91 & SPLBEER <= 99)
replace SPLLQR = . if (SPLLQR >= 91 & SPLLQR <= 99)
replace SPLMJR = . if (SPLMJR >= 91 & SPLMJR <= 99)
replace SPLPILLS = . if (SPLPILLS >= 91 & SPLPILLS <= 99)
replace SPLINH = . if (SPLINH >= 91 & SPLINH <= 99)
replace GMJNOHO = . if (GMJNOHO >= 91 & GMJNOHO <= 99)
replace GMJNONE = . if (GMJNONE >= 91 & GMJNONE <= 99)
replace GMJMED = . if (GMJMED >= 91 & GMJMED <= 99)
replace GMJJOB = . if (GMJJOB >= 91 & GMJJOB <= 99)
replace GMJFUN = . if (GMJFUN >= 91 & GMJFUN <= 99)
replace GMJRELAX = . if (GMJRELAX >= 91 & GMJRELAX <= 99)
replace GMJAWARE = . if (GMJAWARE >= 91 & GMJAWARE <= 99)
replace GMJCNFDN = . if (GMJCNFDN >= 91 & GMJCNFDN <= 99)
replace GMJDEAL = . if (GMJDEAL >= 91 & GMJDEAL <= 99)
replace GMJSLEEP = . if (GMJSLEEP >= 91 & GMJSLEEP <= 99)
replace GMJSEX = . if (GMJSEX >= 91 & GMJSEX <= 99)
replace GMJAPPET = . if (GMJAPPET >= 91 & GMJAPPET <= 99)
replace GMJDK = . if (GMJDK >= 91 & GMJDK <= 99)
replace GMJMISC = . if (GMJMISC >= 91 & GMJMISC <= 99)
replace GMJREF1 = . if (GMJREF1 >= 91 & GMJREF1 <= 99)
replace BMJCONTR = . if (BMJCONTR >= 91 & BMJCONTR <= 99)
replace BMJMEMRY = . if (BMJMEMRY >= 91 & BMJMEMRY <= 99)
replace BMJNONE = . if (BMJNONE >= 91 & BMJNONE <= 99)
replace BMJHABIT = . if (BMJHABIT >= 91 & BMJHABIT <= 99)
replace BMJSTRGR = . if (BMJSTRGR >= 91 & BMJSTRGR <= 99)
replace BMJHLTH = . if (BMJHLTH >= 91 & BMJHLTH <= 99)
replace BMJDIZZY = . if (BMJDIZZY >= 91 & BMJDIZZY <= 99)
replace BMJREFLX = . if (BMJREFLX >= 91 & BMJREFLX <= 99)
replace BMJMOOD = . if (BMJMOOD >= 91 & BMJMOOD <= 99)
replace BMJHALLU = . if (BMJHALLU >= 91 & BMJHALLU <= 99)
replace BMJAPTHY = . if (BMJAPTHY >= 91 & BMJAPTHY <= 99)
replace BMJJOB = . if (BMJJOB >= 91 & BMJJOB <= 99)
replace BMJDRIVE = . if (BMJDRIVE >= 91 & BMJDRIVE <= 99)
replace BMJILLEG = . if (BMJILLEG >= 91 & BMJILLEG <= 99)
replace BMJCRIME = . if (BMJCRIME >= 91 & BMJCRIME <= 99)
replace BMJEXPNS = . if (BMJEXPNS >= 91 & BMJEXPNS <= 99)
replace BMJDK = . if (BMJDK >= 91 & BMJDK <= 99)
replace BMJMISC = . if (BMJMISC >= 91 & BMJMISC <= 99)
replace BMJREF1 = . if (BMJREF1 >= 91 & BMJREF1 <= 99)
replace MJHIGH = . if (MJHIGH >= 91 & MJHIGH <= 99)
replace MJDRHIGH = . if (MJDRHIGH >= 91 & MJDRHIGH <= 99)
replace MJOTHDR = . if (MJOTHDR >= 91 & MJOTHDR <= 99)
replace MJPUFFS = . if (MJPUFFS >= 91 & MJPUFFS <= 99)
replace MJDRPUFF = . if (MJDRPUFF >= 91 & MJDRPUFF <= 99)
replace MJOTHPUF = . if (MJOTHPUF >= 91 & MJOTHPUF <= 99)
replace MJINVOLV = . if (MJINVOLV >= 91 & MJINVOLV <= 99)
replace MJCAREMR = . if (MJCAREMR >= 91 & MJCAREMR <= 99)
replace MJCRMORE = . if (MJCRMORE >= 91 & MJCRMORE <= 99)
replace MJOTHMOR = . if (MJOTHMOR >= 91 & MJOTHMOR <= 99)
replace MJCARELS = . if (MJCARELS >= 91 & MJCARELS <= 99)
replace MJCRLESS = . if (MJCRLESS >= 91 & MJCRLESS <= 99)
replace MJOTHLES = . if (MJOTHLES >= 91 & MJOTHLES <= 99)
replace MJWKEND = . if (MJWKEND >= 91 & MJWKEND <= 99)
replace MJCRWKEN = . if (MJCRWKEN >= 91 & MJCRWKEN <= 99)
replace MJOTHWKN = . if (MJOTHWKN >= 91 & MJOTHWKN <= 99)
replace ALHIGH = . if (ALHIGH >= 91 & ALHIGH <= 99)
replace ALDRHIGH = . if (ALDRHIGH >= 91 & ALDRHIGH <= 99)
replace ALOTHDR = . if (ALOTHDR >= 91 & ALOTHDR <= 99)
replace ALSOME = . if (ALSOME >= 91 & ALSOME <= 99)
replace ALDRSOME = . if (ALDRSOME >= 91 & ALDRSOME <= 99)
replace ALOTHSOM = . if (ALOTHSOM >= 91 & ALOTHSOM <= 99)
replace ALOTHDRK = . if (ALOTHDRK >= 91 & ALOTHDRK <= 99)
replace ALYOUDRK = . if (ALYOUDRK >= 91 & ALYOUDRK <= 99)
replace CLOSFRNS = . if (CLOSFRNS >= 91 & CLOSFRNS <= 99)
replace FRNSHER = . if (FRNSHER >= 91 & FRNSHER <= 99)
replace FRNSEX = . if (FRNSEX >= 91 & FRNSEX <= 99)
replace FRNAGE = . if (FRNAGE >= 91 & FRNAGE <= 99)
replace FRNTRYH = . if (FRNTRYH >= 91 & FRNTRYH <= 99)
replace FRNRECH = . if (FRNRECH >= 91 & FRNRECH <= 99)
replace SEENUSE = . if (SEENUSE >= 91 & SEENUSE <= 99)
replace CONFESS = . if (CONFESS >= 91 & CONFESS <= 99)
replace TESTMNY = . if (TESTMNY >= 91 & TESTMNY <= 99)
replace TRACKMRK = . if (TRACKMRK >= 91 & TRACKMRK <= 99)
replace ARREST = . if (ARREST >= 91 & ARREST <= 99)
replace UNPRREF = . if (UNPRREF >= 91 & UNPRREF <= 99)
replace UNPRREP = . if (UNPRREP >= 91 & UNPRREP <= 99)
replace UNPRBEH = . if (UNPRBEH >= 91 & UNPRBEH <= 99)
replace UNPROTH = . if (UNPROTH >= 91 & UNPROTH <= 99)
replace AMBULANC = . if (AMBULANC >= 91 & AMBULANC <= 99)
replace DETECOTH = . if (DETECOTH >= 91 & DETECOTH <= 99)
replace GIVESELL = . if (GIVESELL >= 91 & GIVESELL <= 99)
replace TREATMNT = . if (TREATMNT >= 91 & TREATMNT <= 99)
replace OTHKNOW = . if (OTHKNOW >= 91 & OTHKNOW <= 99)
replace LVDHEREA = . if (LVDHEREA >= 91 & LVDHEREA <= 99)
replace LVDHEREB = . if (LVDHEREB >= 91 & LVDHEREB <= 99)
replace EVRLIVEA = . if (EVRLIVEA >= 91 & EVRLIVEA <= 99)
replace AGEINA1 = . if (AGEINA1 >= 91 & AGEINA1 <= 99)
replace AGEOUTA1 = . if (AGEOUTA1 >= 91 & AGEOUTA1 <= 99)
replace AGEINA2 = . if (AGEINA2 >= 91 & AGEINA2 <= 99)
replace AGEOUTA2 = . if (AGEOUTA2 >= 91 & AGEOUTA2 <= 99)
replace AGEINA3 = . if (AGEINA3 >= 91 & AGEINA3 <= 99)
replace AGEOUTA3 = . if (AGEOUTA3 >= 91 & AGEOUTA3 <= 99)
replace ALLLIFEA = . if (ALLLIFEA >= 91 & ALLLIFEA <= 99)
replace EVRLIVEB = . if (EVRLIVEB >= 91 & EVRLIVEB <= 99)
replace AGEINB1 = . if (AGEINB1 >= 91 & AGEINB1 <= 99)
replace AGEOUTB1 = . if (AGEOUTB1 >= 91 & AGEOUTB1 <= 99)
replace AGEINB2 = . if (AGEINB2 >= 91 & AGEINB2 <= 99)
replace AGEOUTB2 = . if (AGEOUTB2 >= 91 & AGEOUTB2 <= 99)
replace AGEINB3 = . if (AGEINB3 >= 91 & AGEINB3 <= 99)
replace AGEOUTB3 = . if (AGEOUTB3 >= 91 & AGEOUTB3 <= 99)
replace ALLLIFEB = . if (ALLLIFEB >= 91 & ALLLIFEB <= 99)
replace EVRLIVEC = . if (EVRLIVEC >= 91 & EVRLIVEC <= 99)
replace AGEINC1 = . if (AGEINC1 >= 91 & AGEINC1 <= 99)
replace AGEOUTC1 = . if (AGEOUTC1 >= 91 & AGEOUTC1 <= 99)
replace AGEINC2 = . if (AGEINC2 >= 91 & AGEINC2 <= 99)
replace AGEOUTC2 = . if (AGEOUTC2 >= 91 & AGEOUTC2 <= 99)
replace AGEINC3 = . if (AGEINC3 >= 91 & AGEINC3 <= 99)
replace AGEOUTC3 = . if (AGEOUTC3 >= 91 & AGEOUTC3 <= 99)
replace ALLLIFEC = . if (ALLLIFEC >= 91 & ALLLIFEC <= 99)
replace SEX = . if (SEX >= 91 & SEX <= 99)
replace HISPANIC = . if (HISPANIC >= 91 & HISPANIC <= 99)
replace HISPGRP = . if (HISPGRP >= 91 & HISPGRP <= 99)
replace RESPRACE = . if (RESPRACE >= 91 & RESPRACE <= 99)
replace RAGEGRP = . if (RAGEGRP >= 91 & RAGEGRP <= 99)
replace ENRLCOLL = . if (ENRLCOLL >= 91 & ENRLCOLL <= 99)
replace TYPESCHL = . if (TYPESCHL >= 91 & TYPESCHL <= 99)
replace STUDFTPT = . if (STUDFTPT >= 91 & STUDFTPT <= 99)
replace EDUC = . if (EDUC >= 91 & EDUC <= 99)
replace TOTPEOP = . if (TOTPEOP >= 91 & TOTPEOP <= 99)
replace UNDAGE18 = . if (UNDAGE18 >= 91 & UNDAGE18 <= 99)
replace UNDAGE6 = . if (UNDAGE6 >= 91 & UNDAGE6 <= 99)
replace AGE612 = . if (AGE612 >= 91 & AGE612 <= 99)
replace AGE1217 = . if (AGE1217 >= 91 & AGE1217 <= 99)
replace HHPAREN = . if (HHPAREN >= 91 & HHPAREN <= 99)
replace NUMPAREN = . if (NUMPAREN >= 91 & NUMPAREN <= 99)
replace HHSPOUS = . if (HHSPOUS >= 91 & HHSPOUS <= 99)
replace NUMSPOUS = . if (NUMSPOUS >= 91 & NUMSPOUS <= 99)
replace HHSIBLN = . if (HHSIBLN >= 91 & HHSIBLN <= 99)
replace NUMSIBLN = . if (NUMSIBLN >= 91 & NUMSIBLN <= 99)
replace HHOTREL = . if (HHOTREL >= 91 & HHOTREL <= 99)
replace NUMOTREL = . if (NUMOTREL >= 91 & NUMOTREL <= 99)
replace HHFRNDS = . if (HHFRNDS >= 91 & HHFRNDS <= 99)
replace NUMFRNDS = . if (NUMFRNDS >= 91 & NUMFRNDS <= 99)
replace HHOTPER = . if (HHOTPER >= 91 & HHOTPER <= 99)
replace NUMOTPER = . if (NUMOTPER >= 91 & NUMOTPER <= 99)
replace MARITAL = . if (MARITAL >= 91 & MARITAL <= 99)
replace EMPLOYED = . if (EMPLOYED >= 91 & EMPLOYED <= 99)
replace ROCCUP2 = . if (ROCCUP2 >= 990 & ROCCUP2 <= 999)
replace NOLABOR = . if (NOLABOR >= 91 & NOLABOR <= 99)
replace CWE = . if (CWE >= 91 & CWE <= 99)
replace CWEOCC2 = . if (CWEOCC2 >= 990 & CWEOCC2 <= 999)
replace INCOME = . if (INCOME >= 91 & INCOME <= 99)
replace ESTHHIN = . if (ESTHHIN >= 91 & ESTHHIN <= 99)
replace YTHSTUD = . if (YTHSTUD >= 91 & YTHSTUD <= 99)
replace YSTDFTPT = . if (YSTDFTPT >= 91 & YSTDFTPT <= 99)
replace YTHEDUC = . if (YTHEDUC >= 91 & YTHEDUC <= 99)
replace YTOTPEOP = . if (YTOTPEOP >= 91 & YTOTPEOP <= 99)
replace MOTHER = . if (MOTHER >= 91 & MOTHER <= 99)
replace FATHER = . if (FATHER >= 91 & FATHER <= 99)
replace OLDSIBS = . if (OLDSIBS >= 91 & OLDSIBS <= 99)
replace NUMOSIBS = . if (NUMOSIBS >= 91 & NUMOSIBS <= 99)
replace YNGSIBS = . if (YNGSIBS >= 91 & YNGSIBS <= 99)
replace NUMYSIBS = . if (NUMYSIBS >= 91 & NUMYSIBS <= 99)
replace YTHOTREL = . if (YTHOTREL >= 91 & YTHOTREL <= 99)
replace NUMYOREL = . if (NUMYOREL >= 91 & NUMYOREL <= 99)
replace YTHOTPER = . if (YTHOTPER >= 91 & YTHOTPER <= 99)
replace NUMYOPER = . if (NUMYOPER >= 91 & NUMYOPER <= 99)
replace OTHSIBS = . if (OTHSIBS >= 91 & OTHSIBS <= 99)
replace YTHEMPLD = . if (YTHEMPLD >= 91 & YTHEMPLD <= 99)
replace YTHOCCU2 = . if (YTHOCCU2 >= 990 & YTHOCCU2 <= 999)
replace YNOLABOR = . if (YNOLABOR >= 91 & YNOLABOR <= 99)
replace HHAREA = . if (HHAREA >= 91 & HHAREA <= 99)
replace MILINSTA = . if (MILINSTA >= 91 & MILINSTA <= 99)
replace LOGCAMP = . if (LOGCAMP >= 91 & LOGCAMP <= 99)
replace COLLEGE = . if (COLLEGE >= 91 & COLLEGE <= 99)
replace RESORT = . if (RESORT >= 91 & RESORT <= 99)
replace CONSTR = . if (CONSTR >= 91 & CONSTR <= 99)
replace RANCH = . if (RANCH >= 91 & RANCH <= 99)
replace MIGRANTS = . if (MIGRANTS >= 91 & MIGRANTS <= 99)
replace TEMPRES = . if (TEMPRES >= 91 & TEMPRES <= 99)
replace HHTYPE = . if (HHTYPE >= 91 & HHTYPE <= 99)
replace UNDINT = . if (UNDINT >= 91 & UNDINT <= 99)
replace COOPINT = . if (COOPINT >= 91 & COOPINT <= 99)
replace PRIVACY = . if (PRIVACY >= 91 & PRIVACY <= 99)
replace ADULTYTH = . if (ADULTYTH >= 91 & ADULTYTH <= 99)
replace PAREXAMQ = . if (PAREXAMQ >= 91 & PAREXAMQ <= 99)
replace ADLTQCD = . if (ADLTQCD >= 91 & ADLTQCD <= 99)
replace QUEXTYPE = . if (QUEXTYPE >= 91 & QUEXTYPE <= 99)
replace INTVLEN = . if (INTVLEN >= 91 & INTVLEN <= 99)
replace TOTHHVIS = . if (TOTHHVIS >= 91 & TOTHHVIS <= 99)
replace FINLRES1 = . if (FINLRES1 >= 91 & FINLRES1 <= 99)
replace VSADLTCM = . if (VSADLTCM >= 91 & VSADLTCM <= 99)
replace PHADLTCM = . if (PHADLTCM >= 91 & PHADLTCM <= 99)
replace FINLRES2 = . if (FINLRES2 >= 91 & FINLRES2 <= 99)
replace VSYTHCM = . if (VSYTHCM >= 91 & VSYTHCM <= 99)
replace PHYTHCM = . if (PHYTHCM >= 91 & PHYTHCM <= 99)
replace YTHINHH = . if (YTHINHH >= 91 & YTHINHH <= 99)
replace RES1825 = . if (RES1825 >= 91 & RES1825 <= 99)
replace RES2649 = . if (RES2649 >= 91 & RES2649 <= 99)
replace RES50OVR = . if (RES50OVR >= 91 & RES50OVR <= 99)
replace AGR1REL1 = . if (AGR1REL1 >= 91 & AGR1REL1 <= 99)
replace AGR1SEX1 = . if (AGR1SEX1 >= 91 & AGR1SEX1 <= 99)
replace AGR1AGE1 = . if (AGR1AGE1 >= 91 & AGR1AGE1 <= 99)
replace AGR1RSP1 = . if (AGR1RSP1 >= 91 & AGR1RSP1 <= 99)
replace AGR1REL2 = . if (AGR1REL2 >= 91 & AGR1REL2 <= 99)
replace AGR1SEX2 = . if (AGR1SEX2 >= 91 & AGR1SEX2 <= 99)
replace AGR1AGE2 = . if (AGR1AGE2 >= 91 & AGR1AGE2 <= 99)
replace AGR1RSP2 = . if (AGR1RSP2 >= 91 & AGR1RSP2 <= 99)
replace AGR1REL3 = . if (AGR1REL3 >= 91 & AGR1REL3 <= 99)
replace AGR1SEX3 = . if (AGR1SEX3 >= 91 & AGR1SEX3 <= 99)
replace AGR1AGE3 = . if (AGR1AGE3 >= 91 & AGR1AGE3 <= 99)
replace AGR1RSP3 = . if (AGR1RSP3 >= 91 & AGR1RSP3 <= 99)
replace AGR1REL4 = . if (AGR1REL4 >= 91 & AGR1REL4 <= 99)
replace AGR1SEX4 = . if (AGR1SEX4 >= 91 & AGR1SEX4 <= 99)
replace AGR1AGE4 = . if (AGR1AGE4 >= 91 & AGR1AGE4 <= 99)
replace AGR1RSP4 = . if (AGR1RSP4 >= 91 & AGR1RSP4 <= 99)
replace AGR2REL1 = . if (AGR2REL1 >= 91 & AGR2REL1 <= 99)
replace AGR2SEX1 = . if (AGR2SEX1 >= 91 & AGR2SEX1 <= 99)
replace AGR2AGE1 = . if (AGR2AGE1 >= 91 & AGR2AGE1 <= 99)
replace AGR2RSP1 = . if (AGR2RSP1 >= 91 & AGR2RSP1 <= 99)
replace AGR2REL2 = . if (AGR2REL2 >= 91 & AGR2REL2 <= 99)
replace AGR2SEX2 = . if (AGR2SEX2 >= 91 & AGR2SEX2 <= 99)
replace AGR2AGE2 = . if (AGR2AGE2 >= 91 & AGR2AGE2 <= 99)
replace AGR2RSP2 = . if (AGR2RSP2 >= 91 & AGR2RSP2 <= 99)
replace AGR2REL3 = . if (AGR2REL3 >= 91 & AGR2REL3 <= 99)
replace AGR2SEX3 = . if (AGR2SEX3 >= 91 & AGR2SEX3 <= 99)
replace AGR2AGE3 = . if (AGR2AGE3 >= 91 & AGR2AGE3 <= 99)
replace AGR2RSP3 = . if (AGR2RSP3 >= 91 & AGR2RSP3 <= 99)
replace AGR2REL4 = . if (AGR2REL4 >= 91 & AGR2REL4 <= 99)
replace AGR2SEX4 = . if (AGR2SEX4 >= 91 & AGR2SEX4 <= 99)
replace AGR2AGE4 = . if (AGR2AGE4 >= 91 & AGR2AGE4 <= 99)
replace AGR2RSP4 = . if (AGR2RSP4 >= 91 & AGR2RSP4 <= 99)
replace AGR3REL1 = . if (AGR3REL1 >= 91 & AGR3REL1 <= 99)
replace AGR3SEX1 = . if (AGR3SEX1 >= 91 & AGR3SEX1 <= 99)
replace AGR3AGE1 = . if (AGR3AGE1 >= 990 & AGR3AGE1 <= 999)
replace AGR3RSP1 = . if (AGR3RSP1 >= 91 & AGR3RSP1 <= 99)
replace AGR3REL2 = . if (AGR3REL2 >= 91 & AGR3REL2 <= 99)
replace AGR3SEX2 = . if (AGR3SEX2 >= 91 & AGR3SEX2 <= 99)
replace AGR3AGE2 = . if (AGR3AGE2 >= 990 & AGR3AGE2 <= 999)
replace AGR3RSP2 = . if (AGR3RSP2 >= 91 & AGR3RSP2 <= 99)
replace AGR3REL3 = . if (AGR3REL3 >= 91 & AGR3REL3 <= 99)
replace AGR3SEX3 = . if (AGR3SEX3 >= 91 & AGR3SEX3 <= 99)
replace AGR3AGE3 = . if (AGR3AGE3 >= 990 & AGR3AGE3 <= 999)
replace AGR3RSP3 = . if (AGR3RSP3 >= 91 & AGR3RSP3 <= 99)
replace AGR3REL4 = . if (AGR3REL4 >= 91 & AGR3REL4 <= 99)
replace AGR3SEX4 = . if (AGR3SEX4 >= 91 & AGR3SEX4 <= 99)
replace AGR3AGE4 = . if (AGR3AGE4 >= 990 & AGR3AGE4 <= 999)
replace AGR3RSP4 = . if (AGR3RSP4 >= 91 & AGR3RSP4 <= 99)
replace YTH1217 = . if (YTH1217 >= 91 & YTH1217 <= 99)
replace YTH1REL = . if (YTH1REL >= 91 & YTH1REL <= 99)
replace YTH1SEX = . if (YTH1SEX >= 91 & YTH1SEX <= 99)
replace YTH1AGE = . if (YTH1AGE >= 91 & YTH1AGE <= 99)
replace YTH1RSP = . if (YTH1RSP >= 91 & YTH1RSP <= 99)
replace YTH2REL = . if (YTH2REL >= 91 & YTH2REL <= 99)
replace YTH2SEX = . if (YTH2SEX >= 91 & YTH2SEX <= 99)
replace YTH2AGE = . if (YTH2AGE >= 91 & YTH2AGE <= 99)
replace YTH2RSP = . if (YTH2RSP >= 91 & YTH2RSP <= 99)
replace YTH3REL = . if (YTH3REL >= 91 & YTH3REL <= 99)
replace YTH3SEX = . if (YTH3SEX >= 91 & YTH3SEX <= 99)
replace YTH3AGE = . if (YTH3AGE >= 91 & YTH3AGE <= 99)
replace YTH3RSP = . if (YTH3RSP >= 91 & YTH3RSP <= 99)
replace YTH4REL = . if (YTH4REL >= 91 & YTH4REL <= 99)
replace YTH4SEX = . if (YTH4SEX >= 91 & YTH4SEX <= 99)
replace YTH4AGE = . if (YTH4AGE >= 91 & YTH4AGE <= 99)
replace YTH4RSP = . if (YTH4RSP >= 91 & YTH4RSP <= 99)
replace IRRACEX = . if (IRRACEX == 9)
replace IIRACEX = . if (IIRACEX == 9)
replace IRHOGRP = . if (IRHOGRP == 9)
replace IIHOGRP = . if (IIHOGRP == 9)
replace IRMARIT = . if (IRMARIT == 9)
replace IIMARIT = . if (IIMARIT == 9)
replace IREDUC = . if (IREDUC == 9)
replace IIEDUC = . if (IIEDUC == 9)


